Dashboard

Balance sheet health chart

GET/api/financials/chart/balance-sheet-health

Free Starter Stock ETF Pro

Returns chart-ready data for balance sheet composition (assets, liabilities, debt, cash) and health ratios (debt-to-equity, current ratio) over time. Periods are sorted ascending. Use series for absolute values and rates for ratios.

Get API key Try it live in the API explorer

Query parameters

Example request

curl 'https://api.stockfit.io/v1/api/financials/chart/balance-sheet-health?symbol=AAPL&cik=320193&cusip=037833100&composite_figi=BBG000B9XRY4&share_class_figi=BBG001S5N8V8&currency=USD' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'

Responses

200 OK

Series-oriented chart data with periods sorted ascending

Response schema

  • periods array of string (date)

    Reporting period end dates (YYYY-MM-DD), sorted ascending. Each entry corresponds index-wise to the values in every `series.data` and `rates.data` array.

  • series array of object

    Balance sheet composition series in the absolute requested `currency` (default USD). Always returns four entries — `Total Assets`, `Total Liabilities`, `Total Debt`, `Cash` — in that order. Individual data points may be `null` for periods where the underlying fact wasn't tagged.

    array of:
    • name string (enum)
      Allowed values: Total Assets, Total Liabilities, Total Debt, Cash
    • data array of number | null
  • rates array of object

    Health ratio series, expressed as decimals (e.g. 1.24 = 124%). Always returns two entries — `Debt to Equity`, `Current Ratio` — in that order.

    array of:
    • name string (enum)
      Allowed values: Debt to Equity, Current Ratio
    • data array of number | null

Example response

{
  "periods": [
    "2016-09-26",
    "2017-09-26",
    "2018-09-26",
    "2019-09-26",
    "2020-09-26",
    "2021-09-26",
    "2022-09-26",
    "2023-09-26",
    "2024-09-26",
    "2025-09-26"
  ],
  "series": [
    {
      "name": "Total Assets",
      "data": [
        321686000000,
        375319000000,
        365725000000,
        338516000000,
        323888000000,
        351002000000,
        352755000000,
        352583000000,
        364980000000,
        359241000000
      ]
    },
    {
      "name": "Total Liabilities",
      "data": [
        193437000000,
        241272000000,
        258578000000,
        248028000000,
        258549000000,
        287912000000,
        302083000000,
        290437000000,
        308030000000,
        285508000000
      ]
    },
    {
      "name": "Total Debt",
      "data": [
        78384000000,
        104021000000,
        104193000000,
        101679000000,
        106078000000,
        118063000000,
        111824000000,
        106572000000,
        97341000000,
        91281000000
      ]
    },
    {
      "name": "Cash",
      "data": [
        20484000000,
        20289000000,
        25913000000,
        48844000000,
        38016000000,
        34940000000,
        23646000000,
        29965000000,
        29943000000,
        35934000000
      ]
    }
  ],
  "rates": [
    {
      "name": "Debt to Equity",
      "data": [
        0.6112,
        0.776,
        0.9724,
        1.1237,
        1.6235,
        1.8713,
        2.2068,
        1.7149,
        1.7092,
        1.238
      ]
    },
    {
      "name": "Current Ratio",
      "data": [
        1.3527,
        1.2761,
        1.1329,
        1.5401,
        1.3636,
        1.0746,
        0.8794,
        0.988,
        0.8673,
        0.8933
      ]
    }
  ]
}

400 Bad Request

Invalid parameters or symbol not found

Response schema

  • error string

    Human-readable error message

Example response

{}

403 Forbidden

Feature not available on current plan

Response schema

  • error string

    Human-readable error message

Example response

{}